// 蓝牙事件通知处理模块
// 杭州秒寻科技有限公司
// 周涛
// 2024-9-27

#include "includes.h"

// 导入全局变量
extern WIFI_BLE_PARAM_T gWifiBle_stParam;
extern WIFI_PARAM_T gWifi_stParam;

// 模块事件广播处理函数
void ble_event_main(uint8 *pbyData)
{
    // wifi断开
    if (NULL != strstr((char *)pbyData, EVENT_WIFI_DISCONNECT))
    {
        gWifiBle_stParam.byWifiConnected = 0;
    }
    // socket断开
    else if (NULL != strstr((char *)pbyData, EVENT_SOCKET_DISCONNECT))
    {
        gWifiBle_stParam.bySocketConnected = 0;
    }

    return;
}
